# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sapristi/version'

Gem::Specification.new do |spec|
  spec.name          = 'sapristi'
  spec.version       = Sapristi::VERSION
  spec.authors       = ['Sapristi dev']
  spec.email         = ['sapristi.tool [at] protonmail.com']

  spec.summary       = 'A gem to rule your apps in GNOME workspaces.'
  # spec.description   = %q{TODO: Write a longer description or delete this line.}
  spec.homepage      = 'https://github.com/sapristi-tool/sapristi'
  spec.licenses      = ['AGPL-3.0-or-later', 'Nonstandard']

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'

    # spec.metadata["homepage_uri"] = spec.homepage
    # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
    # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."
  else
    raise 'RubyGems 2.0 or newer is required to protect against ' \
      'public gem pushes.'
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  spec.executables   = ['sapristi']
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.5'

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'factory_bot', '~> 6.1.0'
  spec.add_development_dependency 'fuubar', '~> 2.5.0'
  spec.add_development_dependency 'guard-reek', '~> 1.2.0'
  spec.add_development_dependency 'guard-rspec', '~> 4.7.3'
  spec.add_development_dependency 'guard-rubocop', '~> 1.4.0'
  spec.add_development_dependency 'guard-rubycritic', '~> 2.9.0'
  spec.add_development_dependency 'pry', '~> 0.12.2'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'reek', '~> 6.0.2'
  spec.add_development_dependency 'rspec', '~> 3.10'
  spec.add_development_dependency 'rspec-collection_matchers', '~> 1.2.0'
  spec.add_development_dependency 'rubocop', '~> 1.3.1'
  spec.add_development_dependency 'rubycritic', '~> 4.5.2'
  spec.add_development_dependency 'simplecov', '~> 0.19.0'

  spec.add_runtime_dependency 'gtk3', '~> 3.4.3'
  spec.add_runtime_dependency 'os', '~> 1.1.0'
  spec.add_runtime_dependency 'ruby-wmctrl', '~> 0.0.8'
end
